Bug 21053 - Editing 008 field with a hash overwrites data
Summary: Editing 008 field with a hash overwrites data
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-09 10:59 UTC by Bernard
Modified: 2018-09-21 09:31 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
008 screenshots (661.12 KB, application/pdf)
2018-07-09 10:59 UTC, Bernard
Details
Bug 21053: Encode URI characters in plugin 008 (1.80 KB, patch)
2018-07-11 21:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21053: Encode URI characters in plugin 008 (1.88 KB, patch)
2018-07-13 19:21 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 21053: Encode URI characters in plugin 008 (1.94 KB, patch)
2018-07-18 06:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard 2018-07-09 10:59:35 UTC
Created attachment 76786 [details]
008 screenshots

Entering a hash (#) at any position in 008 field of a bib record causes all subsequent data in field to be overwritten with default values when record is saved.

To reproduce:
1. Find and edit a bib record which has an 008 which differs from the default values for the MARC framework
2. Choose 008 helper
3. Add # in any position before the end of the field noting the current values of the data
4. Save record
5. Edit record and select 008 helper
6. Review characters after # and note changes

See attached example screenshots
Comment 1 Jonathan Druart 2018-07-11 21:59:10 UTC
Created attachment 76873 [details] [review]
Bug 21053: Encode URI characters in plugin 008

A # (or &) at any position in 008 field of a bib record causes
all subsequent data in field to be overwritten with default values when
record is saved.

These characters need to be correctly encoded before being passed as
parameters of the url

To reproduce:
1. Find and edit a bib record which has an 008 which differs from the
default values for the MARC framework
2. Choose 008 helper
3. Add # in any position before the end of the field noting the current
values of the data
4. Save record
5. Edit record and select 008 helper
6. Review characters after #
Comment 2 Maryse Simard 2018-07-13 19:21:32 UTC
Created attachment 76961 [details] [review]
Bug 21053: Encode URI characters in plugin 008

A # (or &) at any position in 008 field of a bib record causes
all subsequent data in field to be overwritten with default values when
record is saved.

These characters need to be correctly encoded before being passed as
parameters of the url

To reproduce:
1. Find and edit a bib record which has an 008 which differs from the
default values for the MARC framework
2. Choose 008 helper
3. Add # in any position before the end of the field noting the current
values of the data
4. Save record
5. Edit record and select 008 helper
6. Review characters after #

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Followed the test plan and it works.
Comment 3 Katrin Fischer 2018-07-18 06:00:49 UTC
Created attachment 77064 [details] [review]
Bug 21053: Encode URI characters in plugin 008

A # (or &) at any position in 008 field of a bib record causes
all subsequent data in field to be overwritten with default values when
record is saved.

These characters need to be correctly encoded before being passed as
parameters of the url

To reproduce:
1. Find and edit a bib record which has an 008 which differs from the
default values for the MARC framework
2. Choose 008 helper
3. Add # in any position before the end of the field noting the current
values of the data
4. Save record
5. Edit record and select 008 helper
6. Review characters after #

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Followed the test plan and it works.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-07-19 17:37:45 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-08-02 13:44:32 UTC
Pushed to 18.05.x for 18.05.03
Comment 6 Fridolin SOMERS 2018-09-21 09:31:04 UTC
Pushed to 17.11.x for 17.11.10